<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>

	<header>
		<h2 align="center">Welcome to the Forms Page</h2>
	</header>


	<nav>
		<ul>
			<li>
				<a href="./index.html">Go back to Home Page</a>
			</li>
			<li>
				<a href="./table.html">Go to Tables Page</a>
			</li>
			<li>
				<a href="../activity/contact.html">Go to Contacts</a>
			</li>
		</ul>
	</nav>

	<main>
		<section>
			<h2>HTML Forms</h2>
			<p>
				HTML Forms are used to gather information or dayta from our user and send that information to a server
			</p>
		</section>
		<section>
			<form action="http://google.com">
				<!-- full name -->
				<label for="fname">Full Name</label>
				<br>
				<input type="text" name="fullname" id="fname"
				required autocomplete>
				<br>
				<!-- birthdate -->
				<label for="bday">Birthdate</label>
				<br>
				<input type="date" name="birthdate" id="bday" required>
				<br>
				<!-- age -->
				<label for="ageInput">Age</label>
				<br>
				<input type="number" name="age" id="ageInput" required min="18" max="40">
				<br>
				<!-- gender -->
				<label for="genderInput">Gender:</label>
				<br>
				<select name="gender" id="genderInput" required>
					<option value="male">Male</option>
					<option value="female">Female</option>
					<option value="other">Other</option>
				</select>
				<br>
				<!-- radio button-->
				<label>New User?</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1">Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2">No</label>
				<br>
				<!-- checkbox -->
				<label>Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				
				<input type="checkbox" name="role2" id="roleInput2" value="managers">
				<label for="roleInput2">Manager</label>
				<br>
				
				<input type="checkbox" name="role3 id="roleInput3 value="supervisor">
				<label for="roleInput3">Supervisor</label>
				
				<!-- submit button -->
				<br>
				<br>
				<button type="submit">Submit</button>
				<!-- reset button -->
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>



</body>
</html>